local Queue = {}
function Queue:new()
  self.__index = self
  local instance = { firstFree=1, firstOccupied=1}
  setmetatable(instance,self)
  return instance
end

function Queue:push(item)
  self[self.firstFree] = item
  self.firstFree = self.firstFree + 1
end

function Queue:pop()
  if self[self.firstOccupied] then
    local result =  self[self.firstOccupied]
    self[self.firstOccupied] = nil
    self.firstOccupied = self.firstOccupied + 1
    return result
  end
end
    
    

function Queue:isEmpty()
  return self.firstOccupied >= self.firstFree
end

function Queue:length()
  return self.firstFree - self.firstOccupied
end

return Queue