local blocks = require("blocks.blocks")
local BaseStructure = {}
function BaseStructure:new()
  self.__index = self
  local instance = {width=16, height=16}
  setmetatable(instance, self)
  return instance
end
function BaseStructure:getBlockId(x, y, layerIndex)
  if layerIndex ~= 0 and layerIndex ~=1 then
    return nil
  end
  if y == 1 or y== 2  then
    if y==1 and (x == 1 or x == self.width) then
      return nil
    else
      return "core:roof"
    end
  elseif y == self.height then
    return "core:concrete"
  elseif x == 1 or x == self.width then
    return "core:bricks"
  elseif y == self.height -1 then
    return "core:planks"
  elseif layerIndex == 0 then
    return "core:sky"
  elseif x < self.width/4 or x > self.width*3/4 or y < self.height/4 or y > self.height*3/4 then
    return "core:bricks"
  else
    return "core:glass"
  end
end
function BaseStructure:getBlock(x, y, layerIndex)
  return blocks.new(self:getBlockId(x,y,layerIndex))
end

return BaseStructure
