local Block = require("blocks.Block")

local writing = Block:new()
writing.durability = 12345
local saved = writing:getSaveData()

print("Saved="..tostring(saved))

--assert(saved=="durability=12345", "save string is incorrect!")

local reading = Block:new()
reading:fromSaveData(saved)
assert(type(reading.durability)=="number", "block durability is wrong type!")

assert(reading.durability == writing.durability, "block durability has incorrect value!="..tostring(reading.durability))
