local points = require("point")
local debugUtil = require("debug.debugUtil")

local  p = points.new()
--debugUtil.trace(p, "point 0 0")

assert(p.x == 0)
assert(p.y == 0)

local a = points.new(1,2)
print("abc")
--debugUtil.trace(a, "point 1 2")
assert(a.x == 1)
assert(a.y == 2)

local b = points.new(3,3)

local c = a + b
assert(c.x == 4)
assert(c.y == 5)

local mult = c * 3

assert(mult.x == 12)
assert(mult.y == 15)

local subt = mult - a
assert(subt.x == 11)
assert(subt.y == 13)

local set = points.new()

set:set(subt)
assert(set.x == 11)
assert(set.y == 13)

--[[local hook, mask, count = debug.gethook()
print("debug hook="..tostring(hook).." "..tostring(mask).." "..tostring(count))
mobdebug.off()
debugUtil.resetDelta()
for i=1,10000000 do
  a:clone()
end
debugUtil.addDelta("point clone test")
if hook then
  mobdebug.on()
end
]]--
