local Animal = {size=10}
function Animal:new()
  self.__index = self
  local instance = { actualSize = self.size}
  setmetatable(instance,self)
  return instance
end

function Animal:getSize()
  return self.size
end


local Dog =  Animal:new()
Dog.size = 26

local LongDog = Dog:new()
LongDog.size = 1000


local dogInstance = Dog:new()
dogInstance.actualSize = 13
local animalInstance = Animal:new()
local longInstance = LongDog:new()
animalInstance.size = 300


assert(dogInstance.size==26)
assert(dogInstance:getSize() == 26)
assert(dogInstance.actualSize == 13)

assert(longInstance.size == 1000)
assert(longInstance:getSize()==1000)
assert(longInstance.actualSize == 1000)


assert(animalInstance.size == 300)
assert(animalInstance:getSize()==300)
assert(Animal.size == 10)
assert(animalInstance.actualSize == 10)
