local stringutils = require("utils.stringutils")
for testNumber = 1,10000,0.3 do
  local str = stringutils.packNumber(testNumber)
  assert(#str == 8)
  assert(stringutils.unpackNumber(str) == testNumber)
end

local a = 5
local b = stringutils.packNumber(a)
local ab = stringutils.unpackNumber(b)
local c = 7
local d = stringutils.packNumber(c)
local cd = stringutils.unpackNumber(d)

assert(a==5)
assert(ab==5)
assert(c==7)
assert(cd==7)
assert(b~=d)
assert(#(b..d)==16)

local t = {b,d}
assert(table.concat(t)==(b..d))
