local Stack = {}
Stack.isStack = true
function Stack:new(entity, count)
  assert(entity, "stack of nothing is not allowed")
  if not count then
    count = 1
  end
  
  self.__index = self
  local instance = {
      entity = entity,
      count = count
  }
  setmetatable(instance, self)
  return instance
end

function Stack:getPart(count)
  if count >= self.count then
    error("trying to take more than exists")
  end
  self.count = self.count - count
  return Stack:new(self.entity:clone(), count)
  
end


return Stack