local Rng = {}
Rng.a = 17
Rng.b = 29
Rng.value = 20938579
Rng.mod = 2 ^ 50
function Rng:new(value,a,b)
  self.__index = self
  local instance = {value=value,a=a,b=b}
  setmetatable(instance,self)
  return instance
end

function Rng:next(max)
  self.value = (self.value * self.a + self.b)% self.mod
  if not max then
    return self.value
  else
    return self.value % max
  end
end


return Rng
