local M = {}
M.Material = {}
M.all = {}
function M.Material:new(params)
  self.__index = self
  local instance = {}
  instance.textureId = params.textureId
  instance.name = params.name
  instance.density = 1 
  instance.elasticity = 0.5 -- percentage of energy lost
  setmetatable(instance, self)
  M.all[instance.name] = instance
  return instance
end

local function simple(id)
  return M.Material:new({textureId=id, name=id})
end

M.simple = simple

simple("flying_medusa")
simple("broken")


return M
