local ffi = require("ffi")
local double_union = ffi.new("union {double d; uint64_t i; char c[8];}")


local stringutils = {}

function stringutils.packNumber(number)
   double_union.d = number
   return ffi.string(double_union.c,8)
end


function stringutils.unpackNumber(string)
  ffi.copy(double_union.c, string, 8)
  return tonumber(double_union.d)
end
return stringutils
